Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaTable

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaTable

All Implemented Interfaces:
  XMLSerializable

Direct Known Subclasses:
  JpaSecondaryTable

    public class JpaTable

extends Object
implements XMLSerializable

Field Summary
`protected String` | `catalog`
`protected String` | `name`
`protected String` | `schema`
`protected Collection<JpaUniqueConstraint>` | `uniqueConstraints`

Constructor Summary
`JpaTable()`
`JpaTable(javax.persistence.Table annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getCatalog()`
`String` | `getName()`
`String` | `getSchema()`
`Collection<JpaUniqueConstraint>` | `getUniqueConstraints()`
`void` | `setCatalog(String catalog)`
`void` | `setName(String name)`
`void` | `setSchema(String schema)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### catalog

    protected String catalog

### schema

    protected String schema

### uniqueConstraints

    protected Collection<JpaUniqueConstraint> uniqueConstraints

Constructor Detail

### JpaTable

    public JpaTable()

### JpaTable

    public JpaTable(javax.persistence.Table annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getCatalog

    public String getCatalog()

### setCatalog

    public void setCatalog(String catalog)

### getName

    public String getName()

### setName

    public void setName(String name)

### getSchema

    public String getSchema()

### setSchema

    public void setSchema(String schema)

### getUniqueConstraints

    public Collection<JpaUniqueConstraint> getUniqueConstraints()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.